Description

1) PasobpaTtbcst 4TO 3a cobbITUS Korga
a) BoobLe HMYero He nuweTcs B dpan (Hanpmmep Ha 2000 3anyckoB 3anucaHo
1914 cobbITnin)
6) cobbiTus, korna HabnofaeTcs 6onbllas pasHULLA MeXay BOCCTAHOBIEHNEM U
MoHTe Kapno faHHbIMK Mo KoopayHaTaM U UMMy nbcaM.

2) MooudprumpoBaTh 3anaHne reoMeTpmu, 4Tobbl yaobHbe nns

BHYTPW-PYTOBCKOr0 ONUCAHNs napameTpbl CYMTaNNCh aBTOMaTUYECKM U3

3a[aHHbIX MONb30BaTENEM "eCTECTBEHHbIX" NapaMeTpoB (paccTosHMe OT LeHTpa

muweHwn). MNapameTpbl FeoMeTpumn AONXHbI 3a4aBaTbhbCs M3 Makpoca cumynauumn. B cnyvyae BeamDet Bo3MoXxHO npugeTtcs
0TKasaTbCs OT CO34aHMs reoMeTpun B Makpoce 1 BEPCMOHMPOBaHWSA, U CO3aaBaTb ee B Knacce cumynaunn. Takoro npumepa noka
HeT. Hy>Ho npocTo kog co3naHus BeamDet nepenectn B ERBeamDetSetup, KOTOpbIi Bbi3blBaTb 13
ERBeamDet::ConstructGeometry(), KoTopbIi ceiiyac ans Hero Bbi3biBaeTcs Ha yposHe ERDetector::ConstructGeometry. BoamoxHo
Takoi nogxon 6yneTt NpUHSAT B UTOre AN BCEX AETEKTOPOB. Tak Kak y Hac KONMYEeCTBO BEPCUIA FEOMETPUU MOXET POCTH
KOMOMHATOPHO.

FeomeTpus nonxHa cospaeatbes ctatmyeckon doyHkumern ERBeamDetSetup::ConstructGeometry(napametpsl reometpum). (! Ha
IaHHbI MOMeHT nHcTaHca ERBeamDetSetup He cywecTtByeT - akkypaTHo).

3) LleHTp (a He kpaw MuwweHn) B Hyne no Z!

4) MWPC ycTpoeH Tak.
MepneHanKynapHble Ny4Kky CTEHKM M3 KanToHa 12.5 MUKPOH Ha paccTosiHum 82 MM

Ipyr oT opyra.
Mex gy cteHkamu - raz CF4, cHapy>Xu 0T KanTOHOBbIX CTEHOK BakyyM.

B cepeauHe rasoBoro o6bema pacrnonoxeHa cbopka nma 2-x MWPC.

Katogpl (mapannenbHbl CTEHKaM) U3 5 MKM CMNOWHOMo antoMUHNS (TaM NneHKa
aNOMVHUIA HA NONUMEPE, HO HET HY>XAbl TOYHO OMKMCbIBATb Ceiyac).

lMocnepnoBatenbHOCTb B HANPaBAEHNM NyYKa Takas.
ANIOMUHUIA 5 MKM, ra3 6 MM, antoMUHUiA 5 MKM, ras 4MMm, Antom 5 MKM, ra3 6MM,
AnioM 5 MKM.

B cepennHax 3a3opos 6 MM pacnonioXeHbl NPOBONOYKN. B ogHom 3a3ope
BepTuKanbHble, B APYrOM ropn3oHTaNibHbIE. ["oe kakue -noka 4To He BaXHo.

a3 pa3buT HA aKTUBHbIE BbITSIHYTbie 06 bEMBI TAK, HTO B LIEHTPE KaXA0ro
aKTUBHOro o6bema rasa - NPoBOJoYKa U3 BONbdpama.

5) CoenaTtb MHCTPYMEHT ANS NUCTUHIa OCHOBHbIX NapamMeTpoB > reomeTpum (
1MeHa, MaTepuanbl, TONWMHbI, pa3mepbl). Hy>xHo Hanmcatb 310 B oyHkumio ERBeamDetSetup->Print() n
ERBeamDetSetup->PrintToFile(file). 9Ta cpyHkuns byneT B utore fenatb AUCTUHI HE TOMbKO NapaMeTpPOB rEOMETPUM, HO U
napameTpoB KannbpoBKK, WYMOB M MPOYEro. To eCTb BCEr0, YTO HA CaMOM Aene onucbiBaeT Setup. Hy>XHO yMeTb 3Ty oyHKUMIO
BbI3blBaTb B Makpoce nocne run->Init() BHe 3aBMCMMOCTM OT TOrO, YTO 3TO 3a paH MeHeaxep(Sim, Ana, Online).

History

#1 - 08/09/2017 04:50 PM - Mikhail Kozlov

Kakum ob6pasom nyywe 3anatb Toraa "ectecTBeHHyo" napameTpusaumio onss MWPC ¢ o6HoBneHHo reoMeTprei? Kakme KOHKPeTHO napameTpbl
HY>XHbl OTHOCUTENBbHO Hyﬂﬂ?

#2 - 08/09/2017 04:53 PM - Sergey Belogurov

OT UeHTpa MULWEHN A0 LUeHTpa Kaxnow coopku n3 2-x MWPC (X&Y), oT LueHTpa MUWEHN 00 LeHTpa Kax o u3 asyx nnactnd TO®

#3 - 08/11/2017 01:33 PM - Mikhail Kozlov

HoByto reomeTputo s 3anun, Tonbko He Hawen CF4 ras un Bonbgpam B media.geo, COOTBETCTBEHHO NPOBO/IOYKM ToXe He fobasun. Kakas TonwuHa
y NpoBonoyek?

Ewe Bonpoc, 4To 8onxHo 6biTb BOKpyr Beer coopkn MWPC, T.e kakasi o6onoyka? Ceiyac anntoMHWin 1 KanToH TONbKO NepneHankynsapHo ocu Z
pacnonoXeHbl.

#4 - 08/11/2017 02:10 PM - Sergey Belogurov

OmameTp nposonoyek 20 MMKPOH. MaTtepuansl BBeante camm B media.geo

#5 - 08/17/2017 07:37 AM - Vitaliy Schetinin

OroBopunun JanonHNTeNbHoO, 4T0 HE06X0AMMO CO3aaTh TEKCTOBbLIV dpain - 6asa AaHHbIx Ang BeamDet, B koTopoit fepxartb Bce Tunbl Tof 1 Bce
Tnel MWPC koTopble ecTb B nabopatopuu.

MpviMepHbIl MHTepdperic Ans 3anaHus Setup B Makpoce CUMY NALIN:

ERBeamDetSetup setup = new ERBeamDetSetup(Xglobal, Yglobal, Zglobal);
setup->AddMWPC(Type1, Z);

setup->AddMWPC(Type2, Z2);

setup->AddTof(Type1,Z);

setup->AddTof(Type2,2);

#6 - 09/07/2017 06:50 PM - Mikhail Kozlov

Moka 4To npeacTasnsio cebe Takoi YepHoBol BapuaHT XML-dparina:

%D0%A1%D0%BD%D0%B8%D0%BC%D0%BE%D0%BA%20%D1%8D%D0%BA%D1%80%D0%B0%D0%BD%D0%B0%20%D0%BE%D1%82%2
02017-09-07%2018-54-18.png

Kakve 3ameyanuns? Xouetcsa cHavyana onpeaenmTbecs C NPUEMINMON CTPYKTYPOW, mpexae 4eM K Heit DTD nucatb.

#7 - 09/07/2017 07:50 PM - Sergey Belogurov

He BnonHe noHsTHa ponb xml ¢paiina. ¥ Hac ecTb napamepr3oBaHHOE OnvcaHne To 1 NPOBONOYHbLIX Kamep. Janble naes B TOM, 4To Obl
nonb30BaTe/b 0CO3HAHHO G0 6opan oeTekTop "C NoNMKK" T.e. NOArpyXan paspelleHHbIi U rae-To HaaexHo nexalumii Habop napameTpos, nubo,
€C/N OH M3y4aeT BapuaHTbl MOLMMUKALMM LETEKTOPA, MPOCTO MEHSI/T NapaMeTpbl B MEIOWEMCs OncaHun B Makpoce reometpun. Vnm s He
npaBnNbHO NOHMMato 06lWyio 3anaqy? loka YTo MHe KaxeTcs, 4To nosiBneHve xml dparina nagaet xepTeow OpuTBbl Okkama.

#8 - 09/08/2017 07:16 AM - Vitaliy Schetinin
"roe-To HaexHo nexaiumii Habop NapameTpoB" - OCHOBHOM BOMPOC, YTO ANt 3TOro ucnonb3osaTb. XML dain kak ynpoueHHas 6a3a faHHbIX
Takyx napameTpoB MHE OYeHb HPABMUTCS.

#9 - 09/08/2017 12:16 PM - Vitaliy Schetinin

Mo ntoram MHoroyacosol auckyccuu yteepannm xml. C wabnoHom B Excel

#10 - 09/08/2017 01:01 PM - Mikhail Kozlov

MHoro4acoBasi auckyccusi, Hu4ero cebe)

He nowsin, 4to 13 cebs monxeH npeacTtaensTb wabnoH B Excel, kakoi mexaHuam 6ynem ncnonb3oeatb. B HeM fonHbl 6biTb BCe faHHbIE, KOTOpble
noTtom npeobpasosbiBatoTcs B xml? Mnu Tonbko cTpykTypa?

#11 - 09/08/2017 01:04 PM - Vitaliy Schetinin

Tam no naee DoNXHbl 6bITb MEXaHW3MbI NpeobpasoBaHns Tabnuyky B xml dpaiin. HyxHo nousyyatb nonpobHee. LWabnoH - npocto excel gpain
oTobpoxatowWwmii Tekylee coctosHue xml.

#12 - 09/08/2017 01:55 PM - Sergey Belogurov

Mo npaene roeops, AMCKycCcUst Annnacb 48 MAHYT, HO BKOYana B cebst MHOro 9KpaHOB B ckain. CMbICH B TOM, YTO YENOBEKY, OTBETCTBEHHbIN 3a
LeTekTopbl yA06HO BHOCUTL MHGOpMaumio B Tabnnuky, a ans nporpammupoBaHus ynobHee xml. Excel ymeeT npeobpasoBbiBaTh Kak-T0 OAHO B
npyroe. http://www.excel-easy.com/examples/xml.html XoyeTtcsa aTmm BOCNONb30BaTbLCS.

#13 - 09/13/2017 04:18 PM - Mikhail Kozlov

- File treeviewer.C added

B cumynsaumm ¢ HoBol reoMeTpurert AeTektopa TepSoTCA NOUHTLI NPU NPoxoxaeHnn Yeped MWPC.
®dannbl 3anun B penosuTtopuii. Makpoc 3anyckan BeamDet_full.C

#14 - 09/14/2017 07:54 AM - Vitaliy Schetinin

1) Y MeHs full Makpoc oTBanMncs Ha UHALManu3aumum 3agadun TpekuHra. lNocMoTpu Bce N Nonano B PenosnTpuil.

2) 51 penyumposan full makpoc no cumynsuum. Buxy 4to nomHtbl B MWPC ecTb. HeT nouHTOB, ecnn HaknanbiBaT yCnoBus Buaa:
TFile* f = new TFile("sim.root");
TTree* t = (TTree*)f->Get("cbmsim");

t->Draw("BeamDetMWPCPoint.fELoss","BeamDetMWPCPoint.fPlaneNb == 2 && BeamDetMWPCPoint.IMWPCNb == 2 &&
BeamDetMWPCPoint.fPid > 3000");

}

3) Mposepun cTpykTypy reometpun. OHa Takas:
beamdet_geo.png

B Hell ecTb HEKOTOpbI NPOMeXYTOYHbI 06 beM MWPC_vol

A 015 NonHTa MHAOPMALIMIO O FEOMETPU YMTaeM Tak:
gMC->CurrentVolOffID(0, fMWPCWireNb);
gMC->CurrentVolOffID(1, fMWPCPlaneNb);
gMC->CurrentVolOffID(2, fMWPCND);

To ectb B f[MWPCNb nonanaet He Homep MWPC, a Homep o6bema MWPC_vol

MomeHsin Ha

gMC->CurrentVolOffID(0, fMWPCWireNb);
gMC->CurrentVolOffID(1, fMWPCPlaneNb);
gMC->CurrentVolOffID(3, fMWPCND);

M nonHTbI NosSiBUAUCH.

K coxaneHuto, cumynsuns Bcerna 6yaeT 3aTodeHa Ha uepapxmio reometpuu. NoaToMy HyXHO 3a 3TUM CNeanTb.
4. CMyTuna KapTuHKa:
beamdet_strange.png

9710 HOPMarsbHO, 4TO MOH Nepen MUEeHbo Tak aKTUBHO 4YTO-TO I/IOHI/I3I/IpyeT? TyT BMOUMO KakK pa3 O4eHb akTyanbHO yMeTb 3afaBaTb pa3Hble KaTbl
ONs pasHbIX YacTer reoMeTpuun. Ho aToro noka He ymeem.

#15 - 09/19/2017 11:39 AM - Mikhail Kozlov

Y MeHsl HOYT KanpusHuyaeT. CHavana oTkasancs 3apsxarbCs 1 Tenepb He BK/0YAETCs, NO3TOMY NpobneMy C NapcepoM noka YTo He yaanoch
paspewnTb.

M3 Toro, 4TO NEXUT B PENO3MTOPUM CeRvac, MOXHO NOHATL CyTb NPOBNEMbI C y3namu, TONbKO ABE CTPOKM HAA0 PACKOMMEHTUTD:
163. //ParseXmlParameters();

332. //domParser->SetValidate(false); // do not validate with DTD

#16 - 09/19/2017 07:30 PM - Mikhail Kozlov

Bce, c HoyTOM Tenepb Nopsaok.

Ceityac obpatun BHUMaHune Ha makponoactaHosky Classimp(FairModule) B koHUe onvcaHus knaccos. B nokymeHTaLmm HanucaHo, 4To oHa "
Heobxoauma ans nobaBneHns peannsaunm cnyxebHbIX METOA0B". rw p—

#17 - 09/21/2017 01:46 PM - Mikhail Kozlov

Ceityac 3anun B peno3vuTopuii BApMaHT Co3naHNs reoMeTpumn B cumynsumm 6e3 .root gpaiina. Movemy-1o Ha Event0 cumynsiumsi BUCHeT.

#18 - 09/21/2017 02:59 PM - Sergey Belogurov

Mo nosony noHn3aumuu Mexay BTopoit MWPC n MuweHbto. Xebnas 6opoaa - 370 AenbTasneTKpoHbl ¢ npoberom 6osblue kata. Takoe 6biBaeT B
rase unu B Bo3pyxe. B Bakyyme He 6biBaeT. Tam, roe Ha kapTuHke 6opoaa - JonxeH 6biTb BakyyM. Muwa, nposepbTe nna reometputo. Kpome Toro,
nono6Hay 6opofa nonxHa Habnopatbest B rasze MWPC - nocMoTprTe eCcTb /.

#19 - 09/21/2017 04:20 PM - Mikhail Kozlov

B Tom MecTe, roe 6opona, y Hac ras.
MeXx gy KanToHOBbIMM OKHaMK (paccTosiH1e 82MM) BCE 3an0SIHEHO ra3oM.

Mexagy X n'Y nposonoykamy 10MM, OHM PacnonoXeHbl CUMMETPUYHO OTHOCUTENBbHO LeHTpa 60/bLWoro razoBoro 06bema, CoOoTBETCTBEHHO Mocne
nocnenHero Maccusa NpoBOJIOYEK elle 0KONo 4CM rasa.
#20 - 09/21/2017 04:40 PM - Sergey Belogurov

Bopopa panxHa 6biTh Be3ae, roe ras. Aga otpe3ka no 8 cm (B kaxnon n3 asyx MWPC Mex oy kanToHOBbIMU OKHamu). Yem B
nMetoLLelics KOHgUrypauum xapakTepHeo To MecTo, rae BuaHa 6opoaa? YeM oHO 0TnamyYaeTcs OT ocTanbHbIX MECT C ra3om?

#21 - 09/21/2017 05:11 PM - Mikhail Kozlov

Bce B nopsinke, ¢ KOPPEKTHBIMM HOMepaMyi 06'bEMOB MO MepapxXmnu AeNbTasaNeKTPOHbI ECTb BO BCEM rase.

%D0%A1%D0%BD%D0%B8%D0%BC%D0%BE%D0%BA%20%D1%8D%D0%BA%D1%80%D0%B0%D0%BD%D0%B0%20%D0%BE%D1%82%2
02017-09-21%2016-53-43.png

#22 - 10/01/2017 11:18 PM - Mikhail Kozlov

Mapcep Tenepb paboTaer.
Hy>Ho ¢ uHTepeiicamm pasobpatbcs. MoryT nv B ogHol cumynsumm 6biTb pasHble Tunsl MWPC n ToF?

ERBeamDetSetup setup = new ERBeamDetSetup(Xglobal, Yglobal, Zglobal);
setup->AddMWPC(Type1, Z);

setup->AddMWPC(Type2, Z2);

setup->AddTof(Type1,Z);

setup->AddTof(Type2,2);

#23 - 10/02/2017 09:38 AM - Vitaliy Schetinin

S cumnTato, 4TO HET CMbICNa BBOAWTL Takoe orpaHunyeHune. NpuBeneHHbIN NpUMEP CUHTaKkcMca MHe HpPaBUTCS

#24 - 10/02/2017 11:23 AM - Sergey Belogurov

Oa, Pa3Hble TUMbl BO3MOXHbI.

#25 - 10/03/2017 05:09 PM - Mikhail Kozlov
- File listing.txt added

A KaKylo CTPYKTYypy nydue coenatb Ansa NMNCTUHIFa N HYXXHbl N ele Kakne-1o DaHHble? Ha AaHHbI MOMEHT BbIBOAMTCS TO, YTO B hainne.

#26 - 10/03/2017 06:24 PM - Sergey Belogurov

Ecnu 310 NpocTo - fob6asbTe BMHAYCOBCKUI NEepeBos CTPokKM. 1o reoMeTpun AaHHbIX 4ocTaTtodHo. [anbuwe no xoay paboTbl MONMEM, YTO
no6aBuThb .

#27 - 10/18/2017 07:44 PM - Mikhail Kozlov

Do6asun XML dparin B penoautopuii https:/github.com/ExpertRootGroup/er/tree/beamdet/db/BeamDet .
Tam gBe cTpaHuLpl noka 4to: ogHa nog MWPC, opyras non ToF. Kaxnas ctpoka tabnuupl - Hoeblii Tin MWPC unu ToF.

#28 - 10/19/2017 01:05 PM - Sergey Belogurov
- File BeamDetParts.xlIsx added

Cpoenaiite, noxanyincTa, KpaTkyro UHCTPYKLUWIO Ans nonb3oBatens. JonycTtum, s no6asun HoBylo cTpoky B exel (Mpunaraertcs). Kak Tenepb

05/13/2024 5/6



creHepupoBatb xml?

#29 - 10/19/2017 01:45 PM - Mikhail Kozlov

Hy>HO NpocTo Yepes NyHKT MeHto "CoxpaHuTb Kak" Bbibpate doopmat XML.

excel.png

YTobbl NOTOM penakTnpoBath AaHHble XML-cpaiina camoro, Hy>KHO OTKPbITb .XISX-Cpaiin, HaxaTb NPaBo KHOMKOW MblWy HA Tabnuuy B KOHTEKTHOM

MeHto Yepes "XML"->"MmnopT" Boibpath xml-cpaiin. B nHcTpykumm Hanuwy noapobHo. excell.png

#30 - 07/12/2018 11:27 AM - Mikhail Kozlov

- Status changed from OtkpsbiTa to 3akpeita

Files

treeviewer.C 2.69 KB 09/13/2017 Mikhail Kozlov

listing.txt 1.14 KB 10/03/2017 Mikhail Kozlov

BeamDetParts.xlsx 13.2 KB 10/19/2017 Sergey Belogurov
